ENABLELOCAL(3)

NAME
EnableLocal - put devices into local mode.

SYNOPSIS

#include <gpib/ib.h>

void EnableLocal(int board_desc, const Addr4882_t addressList[]);

DESCRIPTION

EnableLocal() addresses all of the devices in the addressList array as listeners then sends the GTL (go to local) command byte, causing them to enter local mode. This requires that the board is the controller-in-charge. Note that while the REN (remote enable) bus line is asserted, the devices will return to remote mode the next time they are addressed.

If addressList is empty or NULL, then the REN line is unasserted and all devices enter local mode. The board must be system controller to change the state of the REN line.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess